summaryrefslogtreecommitdiffstats
path: root/jjb/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/scripts')
-rw-r--r--jjb/scripts/csit/dmm-functional-virl.sh42
-rw-r--r--jjb/scripts/vpp/build.sh11
2 files changed, 11 insertions, 42 deletions
diff --git a/jjb/scripts/csit/dmm-functional-virl.sh b/jjb/scripts/csit/dmm-functional-virl.sh
deleted file mode 100644
index e5a83ef41..000000000
--- a/jjb/scripts/csit/dmm-functional-virl.sh
+++ /dev/null
@@ -1,42 +0,0 @@
-#!/bin/bash
-
-# Copyright (c) 2018 Huawei Technologies Co.,Ltd.
-# Copyright (c) 2020 Cisco and/or its affiliates.
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-echo "---> jjb/scripts/csit/dmm-functional-virl.sh"
-
-set -xeu -o pipefail
-
-# Clone dmm and start tests
-git clone https://gerrit.fd.io/r/dmm
-
-# If the git clone fails, complain clearly and exit
-if [ $? != 0 ]; then
- echo "Failed to run: git clone https://gerrit.fd.io/r/dmm"
- exit 1
-fi
-
-# execute DMM bootstrap script if it exists
-if [ -e bootstrap-DMM.sh ]
-then
- # make sure that bootstrap-DMM.sh is executable
- chmod +x bootstrap-DMM.sh
- # run the script
- ./bootstrap-DMM.sh
-else
- echo 'ERROR: No bootstrap-DMM.sh found'
- exit 1
-fi
-
-# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/scripts/vpp/build.sh b/jjb/scripts/vpp/build.sh
index 76aab8aa4..bfeaacea9 100644
--- a/jjb/scripts/vpp/build.sh
+++ b/jjb/scripts/vpp/build.sh
@@ -34,6 +34,7 @@ IS_CSIT_VPP_JOB="${IS_CSIT_VPP_JOB:-}"
MAKE_PARALLEL_FLAGS="${MAKE_PARALLEL_FLAGS:-}"
MAKE_PARALLEL_JOBS="${MAKE_PARALLEL_JOBS:-}"
MAKE_TEST_OS="${MAKE_TEST_OS:-ubuntu-18.04}"
+MAKE_TEST_MULTIWORKER_OS="${MAKE_TEST_MULTIWORKER_OS:-debian-10}"
VPPAPIGEN_TEST_OS="${VPPAPIGEN_TEST_OS:-${MAKE_TEST_OS}}"
BUILD_RESULT="SUCCESSFULLY COMPLETED"
BUILD_ERROR=""
@@ -104,6 +105,16 @@ make_build_test() {
else
echo "Skip running 'make test' on ${OS_ID}-${OS_VERSION_ID}"
fi
+ if [ "${OS_ID}-${OS_VERSION_ID}" == "${MAKE_TEST_MULTIWORKER_OS}" ] && git grep VPP_WORKER_CONFIG; then
+ if ! make VPP_WORKER_CONFIG="workers 2" COMPRESS_FAILED_TEST_LOGS=yes RETRIES=3 test; then
+ BUILD_ERROR="FAILED 'make test' with VPP_WORKER_CONFIG='workers 2'"
+ return
+ else
+ echo -e "\n* VPP ${OS_ID^^}-${OS_VERSION_ID}-${OS_ARCH^^} MULTIWORKER MAKE TEST SUCCESSFULLY COMPLETED\n"
+ fi
+ else
+ echo "Skip running 'make test' with VPP_WORKER_CONFIG='workers 2' on ${OS_ID}-${OS_VERSION_ID}"
+ fi
}
if [ "${DRYRUN,,}" != "true" ] ; then